/*
********************************************************
  Passenger Data Test Trees for the C Importer
  Filename: PaxData3.h                 
  Description:
  Four headers describe four sizes of PaxData test.
  This is the second largest header.
********************************************************
*/
struct _PaxData3Msg
{
    struct _PaxData3
    {
        char            PaxSurname [20];
        struct          _PaxFirstName
        {
            char            Pax1stName [20];
        }PaxFirstName;
        unsigned char   PaxTitle[10];
        struct          _PaxRoute
        {
            char            PaxRouteClass [20];
            struct          _PaxDestinationMsg
            {
                char            PaxDestination [20];
                double          PaxDestinationCost;
                char            PaxDestinationStops [3] [10];
            } PaxDestinationMsg;
        }PaxRoute;
        unsigned char   PaxBaggageAllowance[2];
        long            PaxMealType;
        char            PaxMealPreference [20];
    } PaxData3;
}PaxData3Msg;
